/* cette CSS provient dans sa majeure partie du francum originel 
disponible à https://git.unistra.fr/arthur.pons/francium
et a été écrite par PikselKraft https://www.pikselkraft.com/*/

:root { 

    /* Fonts */
    --font-system: Arial, -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Helvetica, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";

     /* 
        @TODO font base 18px
        ** Typo scale base 16px
        * Ratio = Quinte (1.5)
    */
    --ratio: 1.5;
    --space-xs:   calc(var(--space-base) / var(--ratio)); /* 7.111px */
    --space-sm:   calc(var(--space-base) / 1.5);          /* 10.667px */
    --space-base: 1rem;                                   /* 16px */
    --space-lg:   calc(var(--space-base) * var(--ratio)); /* 24px */
    --space-xl:   calc(var(--space-lg)   * var(--ratio)); /* 36px */
    --space-2xl:  calc(var(--space-xl)   * var(--ratio)); /* 54px */
    --space-3xl:  calc(var(--space-2xl)  * var(--ratio)); /* 81px */
    --space-4xl:  calc(var(--space-3xl)  * var(--ratio)); /* 121.5px */
    --space-5xl:  calc(var(--space-4xl)  * var(--ratio)); /* 121.5px */

    /* COLORS */
    --black: #2f383e;
    --white: #fefffe;
    --grey: #edead5;
    --green: #68715E;
    --yellow: #fdf6e3;
    --blue: #2F7598;
}

html {
  -webkit-font-smoothing: antialiased; 
  --moz-osx-font-smoothing: grayscale;
  scroll-behavior: smooth;
  font-size: 100%; /* 16 pixels par défaut en moyenne */
}

body {
  padding: 0 0.5rem;
  font-family: var(--font-system); /* Utilisation d'une font système */
  font-weight: 400;
  line-height: 1.56;
  text-rendering: optimizeSpeed;
  background-color: var(--yellow);
}

/*TYPO*/

a { color: var(--blue); }
a:hover { color: var(--green); }

/*TITLES*/

h1, h2, h3, h4, h5 {
  position: relative;
  font-weight: bold;
}

h1, h2, h3 {
  padding: 0 0.75rem;
  background-color: var(--grey);
  max-width: max-content;
}

h1, .h1-like {
  font-size: var(--space-2xl, 2.5rem);
  line-height: 1.44;
}

h2, .h2-like {
  font-size: var(--space-xl, 2rem);
  line-height: 1.54;
  letter-spacing: 0.13px;
}

h3, .h3-like {
  font-size: var(--space-lg, 1.5rem);
  line-height: 1.3333;
  letter-spacing: 0.1px;
}

/*Selection*/

::selection {
  color: var(--yellow);
  background-color: var(--green);
}

/*A11y*/

a.skip-main {
  left: -999px;
  position: absolute;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
  z-index: -999;
}

a.skip-main:focus, a.skip-main:active {
  color: var(--white);
  background-color: var(--black);
  left: auto;
  top: auto;
  width: 100%;
  max-width: 100%;
  height: auto;
  overflow: auto;
  padding: 3px;
  border-radius: 10px;
  border: 2px solid var(--blue);
  text-align: center;
  font-size: 1.2em;
  z-index: 999;
}

/*TABLE*/

tbody tr:nth-child(even), th {
  background-color: var(--grey);
}

/*HEADER*/

header { 
  padding-left: 1rem;
  color: var(--blue); 
}

.logo {
  font-size: var(--space-2xl);
  font-weight: bold;
  line-height: 0;
}

nav ul { 
  padding: 0;
  list-style: none; 
}

nav ul li a { 
  font-size: var(--space-lg);
  font-weight: bold;
}

/*BODY*/

/*@TODO un pattern + interaction design -> univers Katzele*/

blockquote {
  border-left: solid 4px var(--grey);
  padding-left: 28px;
  color: var(--black);
}

/*PRE*/

pre {
  padding: 1rem;
  width: max-content;
  max-width: 95%;
  tab-size: 2;
  white-space: pre-wrap;
  background: var(--black);
  color: var(--white);
}

/*LAYOUTS*/

body,
.container { padding: 1rem }

@media screen and (min-width: 60em) {
  body,
  .container { padding: 1rem var(--space-2xl); }
}

/*Link Blank */
.blank[target="_blank"]:after {
  content: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAQElEQVR42qXKwQkAIAxDUUdxtO6/RBQkQZvSi8I/pL4BoGw/XPkh4XigPmsUgh0626AjRsgxHTkUThsG2T/sIlzdTsp52kSS1wAAAABJRU5ErkJggg==);
  display: inline-block;
  width: 0.5rem;
  margin: 0 3px 0 5px;
}

/*************************************/

/* AJOUTS POUR CETTE VERSION SLIDER */

html, body, main, section{
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
}

body{
  font-size: var(--space-lg);
}

section, .hidden {
  display: none;
}
.visible {
  display: block;
}

.slide > div.flex {
  display: flex;
  height: 100%;
  width: 100%;
  justify-content: center;
  align-items: safe center;
}

.col-100 {
  width: 100%;
}
.col-50 {
  width: 50%;
}

.col-100 img {
  max-heigth: 100%;
}
.col-50 img {
  max-width: 100%;
}

img {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

h1 {
  font-size: var(--space-2xl);
}
h2 {
  font-size: var(--space-xl);
}
h3 {
  font-size: var(--space-lg);
}

.licence {
  font-size: 1rem;
  font-weight: bold;
  position: fixed;
  bottom: 1%;
  right: 1%;
}

.nav-left,
.nav-right {
  appearance: none;
  border: unset;
  background-color: transparent;
  width: 50px;
  height: 100%;
  position: fixed;
  top: 0;
  display: none;
}

.nav-left {
  left: 0;
}
.nav-right {
  right: 0;
}

.nav-left span, 
.nav-right span {
  display: none;
  font-size: var(--space-2xl);
}

.nav-left:hover span, 
.nav-right:hover span {
  display: flex;
  text-align: center;
  padding: 10px;
  height: 100%;
  justify-content: center;
  align-items: safe center;
  background-color: var(--grey);
  color: #444;
}
